> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve invoices

GET https://api.letsdeel.com/rest/invoices

Returns a paginated list of invoices; by default only paid invoices are returned, but passing `status=all` returns invoices in all statuses. Supports both offset- and cursor-based pagination.

 **Token scopes**: `accounting:read`

Reference: https://developer.deel.com/api/reference/endpoints/accounting/retrieve-invoices-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `issued_from_date` (string, optional) — Filter invoices issued on or after the specified date.
- `issued_to_date` (string, optional) — Filter invoices issued before the specified date.
- `status` (enum, optional) — If status query has value of all, all invoices will be returned. Otherwise only paid invoices will be fetched.
  - Allowed values: `all`
- `limit` (double, optional, default: 25) — Number of records to retrieve per page.
- `offset` (long, optional, default: 0) — Index of the first record to return.
- `cursor` (string, optional) — Return next page of results after the given cursor.
- `include` (enum, optional) — Will include invoices from COR workers in the response.
  - Allowed values: `cor`

## Response

### 200

Successful operation.

- `data` (list of InvoicesGetResponsesContentApplicationJsonSchemaDataItems, required)
- `page` (InvoicesGetResponsesContentApplicationJsonSchemaPage, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `list of InvoicesGetResponsesContentApplicationJsonSchemaItems`

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### InvoicesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier of this resource.
- `label` (string, required) — Label or reference number of the invoice.
- `total` (string, required) — Total invoice amount, including fees and VAT.
- `status` (enum, required) — Current status of the invoice.
  - Allowed values: `pending`, `paid`, `processing`, `credited`, `refunded`
- `vat_id` (string, required, nullable) — VAT identification number related to the invoice.
- `paid_at` (InvoicesGetResponsesContentApplicationJsonSchemaDataItemsPaidAt, required) — Date/time when the invoice was paid (ISO-8601). May be null or empty string.
- `currency` (string, required) — Three-letter currency code for the invoice.
- `due_date` (string, required, nullable) — Date and time when the invoice is due (ISO-8601 format).
- `issued_at` (string, required, nullable) — Date and time when the invoice was issued (ISO-8601 format).
- `vat_total` (string, required, nullable) — Total amount of VAT charged on the invoice.
- `created_at` (string, required) — Date and time when the invoice was created (ISO-8601 format).
- `is_overdue` (boolean, required, nullable) — Indicates whether the invoice is overdue.
- `contract_id` (string, required, nullable) — Unique identifier of the related contract.
- `vat_percentage` (string, required, nullable) — Percentage of VAT charged on the invoice.
- `amount` (string, optional, nullable) — Billed amount of the invoice.
- `deel_fee` (string, optional, nullable) — Fee charged by Deel.
- `recipient_legal_entity_id` (string, optional) — Unique identifier for the recipient legal entity

### InvoicesGetResponsesContentApplicationJsonSchemaPage

- `offset` (double, required) — The starting position of the current page of results.
- `total_rows` (double, required) — Total number of rows available for the query.
- `items_per_page` (double, required) — Number of items displayed per page.
- `cursor` (string, optional, nullable) — Cursor for paginated results.

### InvoicesGetResponsesContentApplicationJsonSchemaItems

- `code` (string, optional) — Machine readable error
- `message` (string, optional) — Description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### InvoicesGetResponsesContentApplicationJsonSchemaDataItemsPaidAt

Date/time when the invoice was paid (ISO-8601). May be null or empty string.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "GqaY5BHQJUAM2Jg9kq2j2",
      "label": "INV-2023-4",
      "total": "1000",
      "status": "paid",
      "vat_id": "123456789",
      "paid_at": "2022-05-24T09:38:46.235Z",
      "currency": "GBP",
      "due_date": "2022-05-24T09:38:46.235Z",
      "issued_at": "2022-05-24T09:38:46.235Z",
      "vat_total": "210",
      "created_at": "2022-05-24T09:38:46.235Z",
      "is_overdue": true,
      "contract_id": "37nex2x",
      "vat_percentage": "21",
      "amount": "1000",
      "deel_fee": "10",
      "recipient_legal_entity_id": "2c275e07-4846-490e-b2e4-6e84139032c3"
    }
  ],
  "page": {
    "offset": 0,
    "total_rows": 500,
    "items_per_page": 10,
    "cursor": "GqaY5BHQJUAM2Jg9kq2j2"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/invoices"

querystring = {"cursor":"GqaY5BHQJUAM2Jg9kq2j2","include":"cor","issued_from_date":"2022-05-24","issued_to_date":"2022-05-24","limit":"10","offset":"0","status":"all"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/invoices?cursor=GqaY5BHQJUAM2Jg9kq2j2&include=cor&issued_from_date=2022-05-24&issued_to_date=2022-05-24&limit=10&offset=0&status=all';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/invoices?cursor=GqaY5BHQJUAM2Jg9kq2j2&include=cor&issued_from_date=2022-05-24&issued_to_date=2022-05-24&limit=10&offset=0&status=all"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/invoices?cursor=GqaY5BHQJUAM2Jg9kq2j2&include=cor&issued_from_date=2022-05-24&issued_to_date=2022-05-24&limit=10&offset=0&status=all")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/invoices?cursor=GqaY5BHQJUAM2Jg9kq2j2&include=cor&issued_from_date=2022-05-24&issued_to_date=2022-05-24&limit=10&offset=0&status=all")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/invoices?cursor=GqaY5BHQJUAM2Jg9kq2j2&include=cor&issued_from_date=2022-05-24&issued_to_date=2022-05-24&limit=10&offset=0&status=all', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/invoices?cursor=GqaY5BHQJUAM2Jg9kq2j2&include=cor&issued_from_date=2022-05-24&issued_to_date=2022-05-24&limit=10&offset=0&status=all");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/invoices?cursor=GqaY5BHQJUAM2Jg9kq2j2&include=cor&issued_from_date=2022-05-24&issued_to_date=2022-05-24&limit=10&offset=0&status=all")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```